<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();
			$ccostos = $ges2->get_centros_costo();

			$productos = $ges->get_productos_almacen2();
			$series = $ges->get_series_stock();
			$contratas = $ges->get_contratas();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/traspaso_contrata.phtml");
				
			}

			if(isset($_POST['TRASPASO'])){

				$i = 0;
				$z = 0;
				$plantilla = $ges->set_requerimiento_traspaso_almacen($_POST['almacen'],$_POST['identificacion'],2,3);
				foreach ($_POST['sku'] as $val){

					// if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
					// 	$serie = '';
					// }else{
					// 	$serie = $_POST['serie'][$i];
					// }
					// if($_POST['devolver_disponible'][$i] > 0 || $_POST['devolver_malogrado'][$i] > 0  || $_POST['devolver_merma'][$i] > 0){
					// $resultado_final = $ges->update_stock_almacen_contrata($_POST['sku'][$i],$_POST['disponible'][$i],$_POST['devolver_disponible'][$i],$_POST['malogrado'][$i],$_POST['devolver_malogrado'][$i],$_POST['merma'][$i],$_POST['disponible'][$i],$_POST['devolver_merma'][$i],$serie,$_POST['almacen']);
					// $z++;
					// }

					if($_POST['devolver_disponible'][$i] > 0){
						$resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'],$_POST['sku'][$i],$_POST['devolver_disponible'][$i],'','1');
						$z++;
					}

					if($_POST['devolver_malogrado'][$i] > 0){
						$resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'],$_POST['sku'][$i],$_POST['devolver_malogrado'][$i],'','3');
						$z++;
					}

					if($_POST['devolver_merma'][$i] > 0){
						$resultado = $ges->set_requerimiento_traspaso_almacen_detalle($plantilla['id_solicitud_traspaso_almacen'],$_POST['sku'][$i],$_POST['devolver_merma'][$i],'','2');
						$z++;
					}
					
					$i++;

				}

				
				if($z == 0){
					$resultado2 = $ges->update_plantilla_solicitud_traspaso_contrata($plantilla['id_solicitud_traspaso_almacen']);
					echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="traspaso_contrata.php";</script>';
				}else{
					echo'<script type="text/javascript">alert("SE TRASPASÓ CORRECTAMENTE");window.location.href="traspaso_contrata.php";</script>';
				}
			}


?>